com.streambase.liveview.client

## Enum LiveViewQueryType

- java.lang.Object
- - java.lang.Enum<LiveViewQueryType>
  - - com.streambase.liveview.client.LiveViewQueryType

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewQueryType>

      public enum LiveViewQueryType
      extends Enum<LiveViewQueryType>

  The type of queries that can be specified in QueryConfig

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUOUS` Continuous query updates
    `DELETE` Delete rows that match the query
    `SNAPSHOT` Snapshot only query
    `SNAPSHOT_AND_CONTINUOUS` Snapshot followed by continuous updates

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryType` | `convert(LiveViewQueryType lvqt)`
    `static LiveViewQueryType` | `convert(QueryType jaxbQueryType)`
    `static LiveViewQueryType` | `fromValue(String v)`
    `String` | `value()`
    `static LiveViewQueryType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewQueryType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SNAPSHOT

          public static final LiveViewQueryType SNAPSHOT

      Snapshot only query

    - #### CONTINUOUS

          public static final LiveViewQueryType CONTINUOUS

      Continuous query updates

    - #### SNAPSHOT_AND_CONTINUOUS

          public static final LiveViewQueryType SNAPSHOT_AND_CONTINUOUS

      Snapshot followed by continuous updates

    - #### DELETE

          public static final LiveViewQueryType DELETE

      Delete rows that match the query

  - ### Method Detail

    - #### values

          public static LiveViewQueryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewQueryType c : LiveViewQueryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewQueryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static LiveViewQueryType fromValue(String v)

    - #### convert

          public static LiveViewQueryType convert(QueryType jaxbQueryType)

    - #### convert

          public static QueryType convert(LiveViewQueryType lvqt)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.